import { AppBar, Toolbar } from '@mui/material';
import { Box } from '@mui/system';
import { memo } from 'react';
import WeekCalendarHeaderInfo from './WeekCalendarHeaderInfo/WeekCalendarHeaderInfo';
import WeekGoal from './WeekGoal/WeekGoal';
import WeekPriorities from './WeekPriorities/WeekPriorities';




function WeekCalendarHeader({ decrementWeek, incrementWeek, weekInfo, weekGoal, onChangeWeekGoalHandler, weekPriorities, onChangeWeekPrioritiesHandler }) {

  return (
    <>
      <Box sx={{ flexGrow: 1 }}>
        <AppBar position="static">
          <Toolbar>
            <Box sx={{ display: 'flex', flexDirection: 'column', gap: 1 }}>
            <WeekGoal
              weekGoal={weekGoal}
              onChangeWeekGoalHandler={onChangeWeekGoalHandler}
            />

            <WeekPriorities
              weekPriorities={weekPriorities}
              onChangeWeekPrioritiesHandler={onChangeWeekPrioritiesHandler}
            />

            <WeekCalendarHeaderInfo
              decrementWeek={decrementWeek}
              incrementWeek={incrementWeek}
              weekInfo={weekInfo}
              weekGoal={weekGoal}
              onChangeWeekGoalHandler={onChangeWeekGoalHandler}
            />

          </Box>
        </Toolbar>
      </AppBar>
    </Box>
    </>
  );
}

export default memo(WeekCalendarHeader);